'use strict';

exports.__esModule = true;
exports.typeOptions = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactstrap = require('reactstrap');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var Button = function Button(_ref) {
  var children = _ref.children,
      props = _objectWithoutProperties(_ref, ['children']);

  return _react2.default.createElement(
    _reactstrap.Button,
    props,
    children
  );
};

var typeOptions = exports.typeOptions = {
  color: ['primary', 'secondary', 'success', 'info', 'warning', 'danger'],
  size: ['sm', 'md', 'lg']
};

Button.propTypes = process.env.NODE_ENV !== "production" ? {
  color: _propTypes2.default.oneOf(typeOptions.color),
  size: _propTypes2.default.oneOf(typeOptions.size),
  children: _propTypes2.default.node.isRequired,
  tag: _propTypes2.default.oneOfType([_propTypes2.default.func, _propTypes2.default.string]),
  innerRef: _propTypes2.default.oneOfType([_propTypes2.default.func, _propTypes2.default.string]),
  onClick: _propTypes2.default.func,
  active: _propTypes2.default.bool,
  block: _propTypes2.default.bool,
  disabled: _propTypes2.default.bool
} : {};

exports.default = Button;